<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>Sinema.com</Name>
  <HomePage>www.sinema.com</HomePage>
  <Language>Turkish</Language>
  <Version>1.0</Version>
  <Author>Sorunsal</Author>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>true</SupportsCastAndDirector>
  <SupportsCover>true</SupportsCover>
  <SupportsPlot>
	true
  </SupportsPlot>
  <SupportsRating>
	true
  </SupportsRating>
  <!-- List of urls to search for movie -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.sinema.com/arama.asp?query={0}</Url>
      <RegExp>turkish.*?(?&lt;Link&gt;http\:.*?/film/\d*?/.*?)"&gt;(?&lt;Title&gt;.*?)\s*?\(</RegExp>
      <MoviePlotLink>
        <string>{0}</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage />
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>10</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>title"&gt;(?&lt;1&gt;.*?)\s?\(</RegExp_Title>
  <RegExp_OriginalTitle>title"&gt;.*?"&gt;(?&lt;1&gt;.*?)&lt;/span</RegExp_OriginalTitle>
  <RegExp_Year>title"&gt;.*?\((?&lt;1&gt;\d{4})\)\s*?&lt;</RegExp_Year>
  <RegExp_Runtime>&lt;/a&gt;\s&lt;a.*&lt;/a&gt;\s(?&lt;1&gt;.*?)\sdakika</RegExp_Runtime>
  <RuntimeHourSeparator></RuntimeHourSeparator>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>false</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>&lt;meta\sname="Description"\scontent="\s*?(?&lt;1&gt;[\w|\W]*?)\s*?"&gt;</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <Genres_MultipleMatches>true</Genres_MultipleMatches>
  <RegExp_Genres>&lt;a href="filmler/tur/.*?/.*?"&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Genres>
  <Directors_Separator>&lt;/a&gt;</Directors_Separator>
  <RegExp_Directors>&gt;Yönetmen.*"&gt;(?&lt;1&gt;.*)&lt;/a&gt;</RegExp_Directors>
  <Actors_MultipleMatches>true</Actors_MultipleMatches>
  <Countries_MultipleMatches>true</Countries_MultipleMatches>
  <RegExp_Countries>/ulke/.*?"&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Countries>
  <RegExp_Actors>rest&gt;&lt;a\shref="kisi/.*?"&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Actors>
  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront>style="padding:0;"&gt;&lt;img\ssrc="(?&lt;1&gt;.*?)"\salt</RegExp_CoverLinkFront>
  <RegExp_CoverUrl></RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl></RegExp_HowGotoCoverUrl>
  <RegExp_CoverLinkFront2></RegExp_CoverLinkFront2>
  <!-- Multiple covers RegExp -->
  <RegExp_GetCovers_Url></RegExp_GetCovers_Url>
  <RegExp_GetCovers_Url_Transform></RegExp_GetCovers_Url_Transform>
  <RegExp_GetCovers></RegExp_GetCovers>
  <RegExp_GetCovers_Results_Replace_From></RegExp_GetCovers_Results_Replace_From>
  <RegExp_GetCovers_Results_Replace_To></RegExp_GetCovers_Results_Replace_To>
  <RegExp_GetCovers_Max>0</RegExp_GetCovers_Max>
  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <RegExp_Rating>
    <string>current-rating".*?&lt;/div&gt;(?&lt;1&gt;.*?)/</string>
  </RegExp_Rating>
  <!-- Encoding used to send Title, and to read HTML pages -->
  <RatingRate>1</RatingRate>
  <TitleEncoding>utf-8</TitleEncoding>
  <ContentEncoding>utf-8</ContentEncoding>
  <Debug>true</Debug>
</MyMPConfig>